Skip to main content
`Ctrl`+`K`

# VecRestoreArrayReadAndMemType

Restore array obtained with `VecGetArrayReadAndMemType()`

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecRestoreArrayReadAndMemType(Vec x, const PetscScalar *a[])

Not Collective; No Fortran Support

## Input Parameters

- x - the vector

- a - the array

## See Also

Vectors and Parallel Data, `Vec`, `VecGetArrayReadAndMemType()`, `VecRestoreArrayAndMemType()`, `VecRestoreArrayWriteAndMemType()`, `VecGetArray()`, `VecRestoreArray()`, `VecGetArrayPair()`, `VecRestoreArrayPair()`

## Level

beginner

## Location

src/vec/vec/interface/rvector.c

## Examples

src/mat/tutorials/ex19.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages